Author: sseifert
Date: Mon Sep 19 09:03:43 2016
New Revision: 1761404

URL: http://svn.apache.org/viewvc?rev=1761404&view=rev
Log:
Apache Sling  JUnit Core 1.0.18, JUnit Tests Teleporter 1.0.8
Apache Sling Testing Logging Mock 2.0.0, JCR Mock 1.1.16, OSGi Mock 1.8.0, OSGi 
Mock 2.1.0, Sling Mock 1.8.0, Sling Mock 2.1.0, Sling Mock Oak 2.0.2, Resource 
Builder 1.0.0, Servlet Helpers 1.1.0

Modified:
    sling/site/trunk/content/obr/sling.xml

Modified: sling/site/trunk/content/obr/sling.xml
URL: 
http://svn.apache.org/viewvc/sling/site/trunk/content/obr/sling.xml?rev=1761404&r1=1761403&r2=1761404&view=diff
==============================================================================
--- sling/site/trunk/content/obr/sling.xml (original)
+++ sling/site/trunk/content/obr/sling.xml Mon Sep 19 09:03:43 2016
@@ -1,4 +1,4 @@
-<repository name='Apache Sling Release Repository' 
lastmodified='20160908085124.075'>
+<repository name='Apache Sling Release Repository' 
lastmodified='20160919110209.607'>
   <resource id='org.apache.sling.extensions.classloader-leak-detector/1.0.0' 
symbolicname='org.apache.sling.extensions.classloader-leak-detector' 
presentationname='Adobe Sling ClassLoader Leak Detector' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.extensions.classloader-leak-detector/1.0.0/org.apache.sling.extensions.classloader-leak-detector-1.0.0.jar'
 version='1.0.0'>
     <description>Provides a web console configuration printer to provide 
details around classloader leaks</description>
     <size>18203</size>
@@ -7181,6 +7181,166 @@
     <require name='package' filter='(&amp;(package=org.w3c.dom))' 
extend='false' multiple='false' optional='false'>Import package 
org.w3c.dom</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' 
multiple='false' optional='false'>Execution Environment 
(|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.junit.core/1.0.18' 
symbolicname='org.apache.sling.junit.core' presentationname='Apache Sling JUnit 
Core' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.junit.core/1.0.18/org.apache.sling.junit.core-1.0.18.jar'
 version='1.0.18'>
+    <description>Runs JUnit tests in an OSGi framework and provides the JUnit 
libraries</description>
+    <size>456658</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.junit.core'/>
+      <p n='presentationname' v='Apache Sling JUnit Core'/>
+      <p n='version' t='version' v='1.0.18'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.junit'/>
+      <p n='version' t='version' v='1.1.0'/>
+      <p n='uses:' 
v='javax.servlet.http,org.junit.runner.notification,org.osgi.framework'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.junit.rules'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' 
v='org.junit.rules,org.junit.runner,org.junit.runners.model'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.junit.annotations'/>
+      <p n='version' t='version' v='1.0.8'/>
+      <p n='uses:' v='org.junit.runners,org.junit.runners.model'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='junit.framework'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' 
v='org.junit.runner,org.junit.runner.manipulation,org.junit.runner.notification'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' v='org.hamcrest,org.junit.runners'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.matchers'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' v='org.hamcrest,org.hamcrest.core'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.rules'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' 
v='org.hamcrest,org.junit,org.junit.runner,org.junit.runners.model'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runner'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' 
v='junit.framework,org.junit.runner.manipulation,org.junit.runner.notification,org.junit.runners.model'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runner.manipulation'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' v='org.junit.runner'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runner.notification'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' v='org.junit.runner'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runners'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' 
v='org.junit.rules,org.junit.runner,org.junit.runner.manipulation,org.junit.runner.notification,org.junit.runners.model,org.junit.runners.parameterized'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runners.model'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' v='org.junit.runner'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.junit.runners.parameterized'/>
+      <p n='version' t='version' v='4.12.0'/>
+      <p n='uses:' 
v='org.junit.runner,org.junit.runner.notification,org.junit.runners,org.junit.runners.model'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' 
v='javax.xml.namespace,org.hamcrest.collection,org.hamcrest.core,org.hamcrest.internal,org.w3c.dom'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.beans'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.collection'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.core'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.internal'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.number'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.object'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.text'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='org.hamcrest'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.hamcrest.xml'/>
+      <p n='version' t='version' v='1.3.0'/>
+      <p n='uses:' v='javax.xml.namespace,org.hamcrest,org.w3c.dom'/>
+    </capability>
+    <require name='package' 
filter='(&amp;(package=ch.qos.logback.classic)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='true'>Import package 
ch.qos.logback.classic;resolution:=optional;version="[1.0,2)"</require>
+    <require name='package' 
filter='(&amp;(package=ch.qos.logback.classic.spi)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='true'>Import package 
ch.qos.logback.classic.spi;resolution:=optional;version="[1.0,2)"</require>
+    <require name='package' 
filter='(&amp;(package=ch.qos.logback.core)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='true'>Import package 
ch.qos.logback.core;resolution:=optional;version="[1.0,2)"</require>
+    <require name='package' 
filter='(&amp;(package=ch.qos.logback.core.read)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='true'>Import package 
ch.qos.logback.core.read;resolution:=optional;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=javax.management))' 
extend='false' multiple='false' optional='false'>Import package 
javax.management</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' 
extend='false' multiple='false' optional='false'>Import package 
javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' 
extend='false' multiple='false' optional='false'>Import package 
javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=javax.xml.namespace))' 
extend='false' multiple='false' optional='false'>Import package 
javax.xml.namespace</require>
+    <require name='package' filter='(&amp;(package=javax.xml.parsers))' 
extend='false' multiple='false' optional='false'>Import package 
javax.xml.parsers</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform))' 
extend='false' multiple='false' optional='false'>Import package 
javax.xml.transform</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform.dom))' 
extend='false' multiple='false' optional='false'>Import package 
javax.xml.transform.dom</require>
+    <require name='package' 
filter='(&amp;(package=javax.xml.transform.stream))' extend='false' 
multiple='false' optional='false'>Import package 
javax.xml.transform.stream</require>
+    <require name='package' filter='(&amp;(package=javax.xml.xpath))' 
extend='false' multiple='false' optional='false'>Import package 
javax.xml.xpath</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.commons.json.io)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.commons.json.io;version="[2.0,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.commons.osgi;version="[2.2,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.junit)(version&gt;=1.1.0)(!(version&gt;=1.2.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.junit;version="[1.1,1.2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.junit.annotations)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.junit.annotations;version="[1.0,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' 
extend='false' multiple='false' optional='false'>Import package 
org.hamcrest;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.beans)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.beans;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.collection)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.collection;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.core)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.core;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.internal)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.internal;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.number)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.number;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.object)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.object;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.text)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.text;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.hamcrest.xml)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.hamcrest.xml;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.junit.runner.manipulation)(version&gt;=4.12.0)(!(version&gt;=5.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.junit.runner.manipulation;version="[4.12,5)"</require>
+    <require name='package' 
filter='(&amp;(package=org.junit.runner.notification)(version&gt;=4.12.0)(!(version&gt;=5.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.junit.runner.notification;version="[4.12,5)"</require>
+    <require name='package' 
filter='(&amp;(package=org.junit.runners.parameterized)(version&gt;=4.12.0)(!(version&gt;=5.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.junit.runners.parameterized;version="[4.12,5)"</require>
+    <require name='package' 
filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.osgi.service.component;version="[1.0,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.osgi.service.http)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.osgi.service.http;version="[1.2,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.osgi.util.tracker)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.osgi.util.tracker;version="[1.3,2)"</require>
+    <require name='package' 
filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' 
extend='false' multiple='false' optional='false'>Import package 
org.slf4j;version="[1.5,2)"</require>
+    <require name='package' filter='(&amp;(package=org.w3c.dom))' 
extend='false' multiple='false' optional='false'>Import package 
org.w3c.dom</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' 
multiple='false' optional='false'>Execution Environment 
(|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.junit.healthcheck/1.0.6' 
symbolicname='org.apache.sling.junit.healthcheck' presentationname='Apache 
Sling JUnit Health Checks' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.junit.healthcheck/1.0.6/org.apache.sling.junit.healthcheck-1.0.6.jar'
 version='1.0.6'>
     <description>Sling Health Check services that run JUnit tests</description>
     <size>16680</size>
@@ -9078,6 +9238,28 @@
     <require name='package' 
filter='(&amp;(package=org.osgi.service.component))' extend='false' 
multiple='false' optional='false'>Import package 
org.osgi.service.component</require>
     <require name='package' filter='(&amp;(package=org.slf4j))' extend='false' 
multiple='false' optional='false'>Import package org.slf4j</require>
   </resource>
+  <resource id='org.apache.sling.resourcebuilder/1.0.0' 
symbolicname='org.apache.sling.resourcebuilder' presentationname='Apache Sling 
Resource Builder' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.resourcebuilder/1.0.0/org.apache.sling.resourcebuilder-1.0.0.jar'
 version='1.0.0'>
+    <description>Utilities to create Sling content</description>
+    <size>18101</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.resourcebuilder'/>
+      <p n='presentationname' v='Apache Sling Resource Builder'/>
+      <p n='version' t='version' v='1.0.0'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.resourcebuilder.api'/>
+      <p n='version' t='version' v='1.0.0'/>
+      <p n='uses:' v='org.apache.sling.api.resource'/>
+    </capability>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api.resource;version="[2.2,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.commons.mime)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.commons.mime;version="[2.1,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.resourcebuilder.api))' extend='false' 
multiple='false' optional='false'>Import package 
org.apache.sling.resourcebuilder.api</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' 
multiple='false' optional='false'>Execution Environment 
(|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.resourcecollection/1.0.0' 
symbolicname='org.apache.sling.resourcecollection' presentationname='Apache 
Sling Resource Collection API' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.resourcecollection/1.0.0/org.apache.sling.resourcecollection-1.0.0.jar'
 version='1.0.0'>
     <description>The Apache Sling resource collection bundle provides an api 
to manage collections of Resources.</description>
     <size>19713</size>
@@ -13485,6 +13667,35 @@
     <require name='package' 
filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api.resource;version="[2.3,3)"</require>
     <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' 
multiple='false' optional='false'>Execution Environment 
(|(ee=JavaSE-1.6))</require>
   </resource>
+  <resource id='org.apache.sling.servlet-helpers/1.1.0' 
symbolicname='org.apache.sling.servlet-helpers' presentationname='Apache Sling 
Servlet Helpers' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlet-helpers/1.1.0/org.apache.sling.servlet-helpers-1.1.0.jar'
 version='1.1.0'>
+    <description>Mock implementations of SlingHttpServletRequest, 
SlingHttpServletResponse and related classes.</description>
+    <size>36372</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>https://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.servlet-helpers'/>
+      <p n='presentationname' v='Apache Sling Servlet Helpers'/>
+      <p n='version' t='version' v='1.1.0'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.servlethelpers'/>
+      <p n='version' t='version' v='1.1.0'/>
+      <p n='uses:' 
v='javax.servlet,javax.servlet.descriptor,javax.servlet.http,org.apache.sling.api,org.apache.sling.api.adapter,org.apache.sling.api.request,org.apache.sling.api.resource'/>
+    </capability>
+    <require name='package' 
filter='(&amp;(package=javax.servlet)(version&gt;=3.1.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
javax.servlet;version="[3.1,4)"</require>
+    <require name='package' 
filter='(&amp;(package=javax.servlet.descriptor)(version&gt;=3.1.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
javax.servlet.descriptor;version="[3.1,4)"</require>
+    <require name='package' 
filter='(&amp;(package=javax.servlet.http)(version&gt;=3.1.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
javax.servlet.http;version="[3.1,4)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.commons.collections)(version&gt;=3.2.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.commons.collections;version="[3.2,4)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.commons.lang3)(version&gt;=3.0.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.commons.lang3;version="[3.0,4)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.commons.lang3.math)(version&gt;=3.0.0)(!(version&gt;=4.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.commons.lang3.math;version="[3.0,4)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api;version="[2.2,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.api.adapter)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api.adapter;version="[2.2,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.api.request)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api.request;version="[2.3,3)"</require>
+    <require name='package' 
filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))'
 extend='false' multiple='false' optional='false'>Import package 
org.apache.sling.api.resource;version="[2.3,3)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.7))' extend='false' 
multiple='false' optional='false'>Execution Environment 
(|(ee=JavaSE-1.7))</require>
+  </resource>
   <resource id='org.apache.sling.servlets.resolver/2.3.6' 
symbolicname='org.apache.sling.servlets.resolver' presentationname='Apache 
Sling Servlet Resolver' 
uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlets.resolver/2.3.6/org.apache.sling.servlets.resolver-2.3.6.jar'
 version='2.3.6'>
     <description>Bundle implementing the Sling API 
ServletResolver.</description>
     <size>65599</size>


Reply via email to